Package com.verisign.epp.codec.contact

## Class EPPContactInfoResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.contact.EPPContactInfoResp

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPContactInfoResp
      extends EPPResponse

  Represents a <contact:infData> response to an `EPPContactInfoCmd`. When an <info> command has been processed successfully, the EPP <resData> element MUST contain a child <contact:infData> element that identifies the contact namespace and the location of the contact schema. The <contact:infData> element SHALL contain the following child elements:
  - A <contact:id> element that contains the server-unique identifier of the contact object. Use `getId` and `setId` to get and set the elements.
  - One or more <contact:status> elements that describe the status of the contact object. Use `getStatuses` and `setStatuses` to get and set the elements.
  - A <contact:postalInfo> element that contains the postal contacts. Use `getPostalInfo`, `addPostalInfo` and `setPostalInfo` to get, add and set the elements.
  - An OPTIONAL <contact:voice> element that contains the contact's voice telephone number. Use `getVoice` and `setVoice` to get and set the elements.
  - An OPTIONAL <contact:fax> element that contains the contact's facsimile telephone number. Use `getFax` and `setFax` to get and set the elements.
  - A <contact:email> element that contains the contact's e-mail address. Use `getEmail` and `setEmail` to get and set the elements.
  - A <contact:clID> element that contains the identifier of the sponsoring client. The sponsoring client is the client that has administrative privileges to manage the object. Use `getClientId` and `setClientId` to get and set the element.
  - A <contact:crID> element that contains the identifier of the client that created the contact name. Use `getCreatedBy` and `setCreatedBy`to get and set the element.
  - A <contact:crDate> element that contains the date and time of contact creation. Use `getCreatedDate` and `setCreatedDate` to get and set the element.
  - A <contact:upID> element that contains the identifier of the client that last updated the contact name. This element MUST NOT be present if the contact has never been modified. Use `getLastUpdatedBy` and `setLastUpdatedBy` to get and set the element.
  - A <contact:upDate> element that contains the date and time of the most recent contact modification. This element MUST NOT be present if the contact has never been modified. Use `getLastUpdatedDate` and `setLastUpdatedDate` to get and set the element.
  - A <contact:trDate> element that contains the date and time of the most recent successful transfer. This element MUST NOT be provided if the contact has never been transferred. Use `getLastTransferDate` and `setLastTransferDate` to get and set the element.
  - An OPTIONAL <contact:authInfo> element that contains authorization information associated with the contact object. This element MUST NOT be provided if the querying client is not the current sponsoring client. Use `getAuthInfo` and `setAuthInfo` to get and set the element.
  - An OPTIONAL <contact:disclose> element that contains disclose information associated with the contact object. Use `getDisclose` and `setDisclose` to get and set the element.
  See Also:
    `EPPContactInfoCmd`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `ELM_EXTENSION, ELM_MESSAGE_QUEUE, ELM_MESSAGE_QUEUE_QDATE, ELM_RESPONSE_DATA, extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPContactInfoResp()` | `EPPContactInfoResp` default constructor.
    `EPPContactInfoResp​(EPPTransId aTransId, java.lang.String aRoid, java.lang.String aId, java.util.Vector newStatuses, EPPContactPostalDefinition aPostalInfo, java.lang.String aEmail, java.lang.String aClientId, java.lang.String aCreatedBy, java.util.Date aCreatedDate, EPPAuthInfo aAuthInfo)` | `EPPContactInfoResp` constructor that sets the required attributes with the parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addPostalInfo​(EPPContactPostalDefinition aPostalInfo)` | Adds contact postal info.
    `java.lang.Object` | `clone()` | Clone `EPPContactInfoResp`.
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPContactInfoResp` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPContactInfoResp` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPContactInfoResp` with this instance.
    `EPPAuthInfo` | `getAuthInfo()` | Gets the authorization information.
    `java.lang.String` | `getClientId()` | Gets the contact owning Client Id.
    `java.lang.String` | `getCreatedBy()` | Gets Client Id that created the contact.
    `java.util.Date` | `getCreatedDate()` | Gets the date and time the contact was created.
    `EPPContactDisclose` | `getDisclose()` | Gets the disclose information.
    `java.lang.String` | `getEmail()` | Gets the contact email.
    `java.lang.String` | `getFax()` | Gets the contact fax number.
    `java.lang.String` | `getFaxExt()` | Gets the fax number extension.
    `EPPContactPostalDefinition` | `getFirstPostalInfo()` | Gets the first postal info object.
    `java.lang.String` | `getId()` | Gets the contact identifier.
    `java.util.Date` | `getLastTransferDate()` | Gets the last date and time the contact was successfully transferred.
    `java.lang.String` | `getLastUpdatedBy()` | Gets the Client Id that last updated the contact.
    `java.util.Date` | `getLastUpdatedDate()` | Gets the date and time of the last contact update.
    `java.lang.String` | `getNamespace()` | Gets the EPP command namespace associated with `EPPContactInfoResp`.
    `java.util.Vector` | `getPostalInfo()` | Gets the contact postal info.
    `java.lang.String` | `getRoid()` | Gets the Registry Object Identifier (ROID).
    `java.util.Vector` | `getStatuses()` | Gets the contact statuses.
    `java.lang.String` | `getType()` | Gets the EPP response type associated with `EPPContactInfoResp`.
    `java.lang.String` | `getVoice()` | Gets the contact voice number.
    `java.lang.String` | `getVoiceExt()` | Get voice number extension.
    `boolean` | `hasAuthInfo()` | Returns `true` if the contact has authinfo
    `boolean` | `hasClientId()` | Returns `true` if the contact has owning client Id.
    `boolean` | `hasCreatedBy()` | Returns `true` if the contact has client id that created it
    `boolean` | `hasCreatedDate()` | Returns `true` if the contact has created date
    `boolean` | `hasDisclose()` | Returns `true` if the contact has disclose flag
    `boolean` | `hasEmail()` | Returns `true` if the contact has email
    `boolean` | `hasFax()` | Returns `true` if the contact has fax
    `boolean` | `hasFaxExt()` | Returns `true` if the contact has fax extension
    `boolean` | `hasId()` | Returns `true` if the contact has ID
    `boolean` | `hasLastTransferDate()` | Returns `true` if the contact has the last date/time it was transferred
    `boolean` | `hasLastUpdatedBy()` | Returns `true` if the contact has client id that last updated it
    `boolean` | `hasLastUpdatedDate()` | Returns `true` if the contact has last date/time it was updated
    `boolean` | `hasPostalContacts()` | Returns `true` if the contact has postal info
    `boolean` | `hasRoid()` | Returns `true` if the contact has Registry Object Identifier (ROID).
    `boolean` | `hasStatuses()` | Returns `true` if the contact has statuses
    `boolean` | `hasVoice()` | Returns `true` if the contact has voice
    `boolean` | `hasVoiceExt()` | Returns `true` if the contact has voice extension
    `void` | `setAuthInfo​(EPPAuthInfo aAuthInfo)` | Sets the authorization information.
    `void` | `setClientId​(java.lang.String aClientId)` | Sets the contact owning Client Id.
    `void` | `setCreatedBy​(java.lang.String aCreatedBy)` | Sets Client Id that created the contact.
    `void` | `setCreatedDate​(java.util.Date aDate)` | Sets the date and time the contact was created.
    `void` | `setDisclose​(EPPContactDisclose aDisclose)` | Sets the disclose information.
    `void` | `setEmail​(java.lang.String aEmail)` | Sets the contact email.
    `void` | `setFax​(java.lang.String aFax)` | Sets the contact fax number.
    `void` | `setFaxExt​(java.lang.String aFaxExt)` | Sets the fax number extension.
    `void` | `setId​(java.lang.String aId)` | Sets the contact identifier.
    `void` | `setLastTransferDate​(java.util.Date aLastTransferDate)` | Sets the last date and time the contact was successfully transferred.
    `void` | `setLastUpdatedBy​(java.lang.String aLastUpdatedBy)` | Sets the Client Id that last updated the contact.
    `void` | `setLastUpdatedDate​(java.util.Date aLastUpdatedDate)` | Sets the last date and time the contact was updated.
    `void` | `setPostalInfo​(java.util.Vector aPostalInfo)` | Set contact postal info.
    `void` | `setRoid​(java.lang.String aRoid)` | Sets the Registry Object Identifier (ROID).
    `void` | `setStatuses​(java.util.Vector aStatuses)` | Sets the contact statuses.
    `void` | `setVoice​(java.lang.String aVoice)` | Sets the contact voice number.
    `void` | `setVoiceExt​(java.lang.String aVoiceExt)` | Sets the contact voice extension.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPContactInfoResp

          public EPPContactInfoResp()

      `EPPContactInfoResp` default constructor. Must call required setter methods before invoking `encode`, which include:
      - transaction id - `setTransId`
      - contact - `setContact`
      - client id - `setClientId`
      - postalInfo - `setPostalInfo`
      - postalInfo - `addPostalInfo`
      - created by - `setCreatedBy`
      - created date - `setCreatedDate`
      The following optional attributes can be set:
      - last updated by - `setLastUpdatedBy`
      - last updated date - `setLastUpdatedDate`
      - last transfer by - `setLastTransferBy`
      - last transfer date - `setLastTransferDate`
      - authorization id - `setAuthId`
      - disclose - `setDisclose`

    - #### EPPContactInfoResp

          public EPPContactInfoResp​(EPPTransId aTransId,
                                    java.lang.String aRoid,
                                    java.lang.String aId,
                                    java.util.Vector newStatuses,
                                    EPPContactPostalDefinition aPostalInfo,
                                    java.lang.String aEmail,
                                    java.lang.String aClientId,
                                    java.lang.String aCreatedBy,
                                    java.util.Date aCreatedDate,
                                    EPPAuthInfo aAuthInfo)

      `EPPContactInfoResp` constructor that sets the required attributes with the parameters. The following optional attributes can be set:
      Parameters:
        `aTransId` - command transaction id
        `aRoid` - roid
        `aId` - contact ID
        `newStatuses` - contact statuses
        `aPostalInfo` - postal element of contact
        `aEmail` - contact email
        `aClientId` - contact sponsoring client identifier
        `aCreatedBy` - identifier of the client that created the contact name
        `aCreatedDate` - Date and time of contact creation
        `aAuthInfo` - authorization information

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Gets the EPP response type associated with `EPPContactInfoResp`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        `EPPContactInfoResp.ELM_NAME`

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command namespace associated with `EPPContactInfoResp`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPContactMapFactory.NS`

    - #### getClientId

          public java.lang.String getClientId()

      Gets the contact owning Client Id.
      Returns:
        Client Id if defined; `null` otherwise.

    - #### hasClientId

          public boolean hasClientId()

      Returns `true` if the contact has owning client Id.
      Returns:
        `true` if the contact has owning client Id `false` otherwise

    - #### setClientId

          public void setClientId​(java.lang.String aClientId)

      Sets the contact owning Client Id.
      Parameters:
        `aClientId` - Client Id

    - #### getCreatedBy

          public java.lang.String getCreatedBy()

      Gets Client Id that created the contact.
      Returns:
        Client Id if defined; `null` otherwise.

    - #### hasCreatedBy

          public boolean hasCreatedBy()

      Returns `true` if the contact has client id that created it
      Returns:
        `true` if the contact has client id that created it `false` otherwise

    - #### setCreatedBy

          public void setCreatedBy​(java.lang.String aCreatedBy)

      Sets Client Id that created the contact.
      Parameters:
        `aCreatedBy` - Client Id that created the contact if defined; `null` otherwise.

    - #### getCreatedDate

          public java.util.Date getCreatedDate()

      Gets the date and time the contact was created.
      Returns:
        Date and time the contact was created if defined; `null` otherwise.

    - #### hasCreatedDate

          public boolean hasCreatedDate()

      Returns `true` if the contact has created date
      Returns:
        `true` if the contact has created date `false` otherwise

    - #### setCreatedDate

          public void setCreatedDate​(java.util.Date aDate)

      Sets the date and time the contact was created.
      Parameters:
        `aDate` - Date and time the contact was created.

    - #### getLastUpdatedBy

          public java.lang.String getLastUpdatedBy()

      Gets the Client Id that last updated the contact. This will be null if the contact has not been updated since creation.
      Returns:
        Client Id that last updated the contact has been updated; `null` otherwise.

    - #### hasLastUpdatedBy

          public boolean hasLastUpdatedBy()

      Returns `true` if the contact has client id that last updated it
      Returns:
        `true` if the contact has client id that last updated it `false` otherwise

    - #### setLastUpdatedBy

          public void setLastUpdatedBy​(java.lang.String aLastUpdatedBy)

      Sets the Client Id that last updated the contact.
      Parameters:
        `aLastUpdatedBy` - Client Id String that last updated the contact.

    - #### getLastUpdatedDate

          public java.util.Date getLastUpdatedDate()

      Gets the date and time of the last contact update. This will be `null` if the contact has not been updated since creation.
      Returns:
        date and time of the last contact update if defined; `null` otherwise.

    - #### hasLastUpdatedDate

          public boolean hasLastUpdatedDate()

      Returns `true` if the contact has last date/time it was updated
      Returns:
        `true` if the contact has last date/time it was updated `false` otherwise

    - #### setLastUpdatedDate

          public void setLastUpdatedDate​(java.util.Date aLastUpdatedDate)

      Sets the last date and time the contact was updated.
      Parameters:
        `aLastUpdatedDate` - Date and time of the last contact update

    - #### getLastTransferDate

          public java.util.Date getLastTransferDate()

      Gets the last date and time the contact was successfully transferred.
      Returns:
        Date and time of the last successful transfer if defined; `null` otherwise.

    - #### hasLastTransferDate

          public boolean hasLastTransferDate()

      Returns `true` if the contact has the last date/time it was transferred
      Returns:
        `true` if the contact has the last date/time it was transferred `false` otherwise

    - #### setLastTransferDate

          public void setLastTransferDate​(java.util.Date aLastTransferDate)

      Sets the last date and time the contact was successfully transferred.
      Parameters:
        `aLastTransferDate` - Date and time of the last successful transfer.

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPContactInfoResp` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the EPPContactPingMap instance.
      Throws:
        `EPPEncodeException` - Unable to encode EPPContactPingMap instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPContactInfoResp` attributes from the aElement DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPContactInfoResp` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPContactInfoResp` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        boolean `true` if the objects are equal otherwise `false`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPContactInfoResp`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPContactInfoResp`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getPostalInfo

          public java.util.Vector getPostalInfo()

      Gets the contact postal info.
      Returns:
        Postal info if set; `null` otherwise

    - #### hasPostalContacts

          public boolean hasPostalContacts()

      Returns `true` if the contact has postal info
      Returns:
        `true` if the contact has postal info `false` otherwise

    - #### getFirstPostalInfo

          public EPPContactPostalDefinition getFirstPostalInfo()

      Gets the first postal info object.
      Returns:
        First postal info object (`EPPContactPostalDefinition` ) if it exists; `null` otherwise.

    - #### setPostalInfo

          public void setPostalInfo​(java.util.Vector aPostalInfo)

      Set contact postal info.
      Parameters:
        `aPostalInfo` - `Vector` of `EPPContactPostalDefinition` objects.

    - #### addPostalInfo

          public void addPostalInfo​(EPPContactPostalDefinition aPostalInfo)

      Adds contact postal info.
      Parameters:
        `aPostalInfo` - `EPPContactPostalDefinition` object to add to `Vector` of postal info.

    - #### getAuthInfo

          public EPPAuthInfo getAuthInfo()

      Gets the authorization information.
      Returns:
        Authorization information if defined; `null` otherwise;

    - #### hasAuthInfo

          public boolean hasAuthInfo()

      Returns `true` if the contact has authinfo
      Returns:
        `true` if the contact has authinfo `false` otherwise

    - #### setAuthInfo

          public void setAuthInfo​(EPPAuthInfo aAuthInfo)

      Sets the authorization information.
      Parameters:
        `aAuthInfo` - Authorization information

    - #### getDisclose

          public EPPContactDisclose getDisclose()

      Gets the disclose information.
      Returns:
        Disclose information if defined; `null` otherwise;

    - #### hasDisclose

          public boolean hasDisclose()

      Returns `true` if the contact has disclose flag
      Returns:
        `true` if the contact has disclose flag `false` otherwise

    - #### setDisclose

          public void setDisclose​(EPPContactDisclose aDisclose)

      Sets the disclose information.
      Parameters:
        `aDisclose` - Contact disclose information

    - #### getEmail

          public java.lang.String getEmail()

      Gets the contact email.
      Returns:
        Contact email if defined: `null` otherwise.

    - #### hasEmail

          public boolean hasEmail()

      Returns `true` if the contact has email
      Returns:
        `true` if the contact has email `false` otherwise

    - #### setEmail

          public void setEmail​(java.lang.String aEmail)

      Sets the contact email.
      Parameters:
        `aEmail` - Contact email

    - #### getFax

          public java.lang.String getFax()

      Gets the contact fax number.
      Returns:
        Contact fax number if defined; `null` otherwise.

    - #### hasFax

          public boolean hasFax()

      Returns `true` if the contact has fax
      Returns:
        `true` if the contact has fax `false` otherwise

    - #### setFax

          public void setFax​(java.lang.String aFax)

      Sets the contact fax number.
      Parameters:
        `aFax` - Contact fax number

    - #### getFaxExt

          public java.lang.String getFaxExt()

      Gets the fax number extension.
      Returns:
        fax number extension if defined; `null` otherwise.

    - #### hasFaxExt

          public boolean hasFaxExt()

      Returns `true` if the contact has fax extension
      Returns:
        `true` if the contact has fax extension `false` otherwise

    - #### setFaxExt

          public void setFaxExt​(java.lang.String aFaxExt)

      Sets the fax number extension.
      Parameters:
        `aFaxExt` - Fax number extension

    - #### getId

          public java.lang.String getId()

      Gets the contact identifier.
      Returns:
        Contact identifier if defined; `null` otherwise.

    - #### hasId

          public boolean hasId()

      Returns `true` if the contact has ID
      Returns:
        `true` if the contact has ID `false` otherwise

    - #### setId

          public void setId​(java.lang.String aId)

      Sets the contact identifier.
      Parameters:
        `aId` - Contact identifier

    - #### getStatuses

          public java.util.Vector getStatuses()

      Gets the contact statuses.
      Returns:
        `Vector` of `EPPContactStatus` objects.

    - #### hasStatuses

          public boolean hasStatuses()

      Returns `true` if the contact has statuses
      Returns:
        `true` if the contact has statues `false` otherwise

    - #### setStatuses

          public void setStatuses​(java.util.Vector aStatuses)

      Sets the contact statuses.
      Parameters:
        `aStatuses` - `Vector` of `EPPContactStatus` objects.

    - #### getVoice

          public java.lang.String getVoice()

      Gets the contact voice number.
      Returns:
        Contact voice number if defined; `null` otherwise.

    - #### hasVoice

          public boolean hasVoice()

      Returns `true` if the contact has voice
      Returns:
        `true` if the contact has voice `false` otherwise

    - #### setVoice

          public void setVoice​(java.lang.String aVoice)

      Sets the contact voice number.
      Parameters:
        `aVoice` - contact voice number

    - #### getVoiceExt

          public java.lang.String getVoiceExt()

      Get voice number extension.
      Returns:
        Voice number extension if defined; `null` otherwise.

    - #### hasVoiceExt

          public boolean hasVoiceExt()

      Returns `true` if the contact has voice extension
      Returns:
        `true` if the contact has voice extension `false` otherwise

    - #### setVoiceExt

          public void setVoiceExt​(java.lang.String aVoiceExt)

      Sets the contact voice extension.
      Parameters:
        `aVoiceExt` - voice extension

    - #### getRoid

          public java.lang.String getRoid()

      Gets the Registry Object Identifier (ROID).
      Returns:
        Registry Object Identifier (ROID) if defined; `null` otherwise.

    - #### hasRoid

          public boolean hasRoid()

      Returns `true` if the contact has Registry Object Identifier (ROID).
      Returns:
        `true` if the contact has Registry Object Identifier (ROID) `false` otherwise

    - #### setRoid

          public void setRoid​(java.lang.String aRoid)

      Sets the Registry Object Identifier (ROID).
      Parameters:
        `aRoid` - Registry Object Identifier (ROID)